#ifndef RepoAuthenticator_h
#define RepoAuthenticator_h

#include <QtGui/QWidget>
#include "YumConfIO.h"
#include "RepoAuthDialog.h"

namespace RepoAuth {

   class Checker {
   public:
      explicit Checker(QWidget*    parent,
                       YumConfIO*  yumConfIO);
      ~Checker();
   protected:
      class Auth {
      public:
         Auth() {}
         Auth(QString name, QString password) 
            : name(name), password(password) 
         {}
         QString  name;
         QString  password;
      };

      void replace(Repo::Entry&  entry,
                   const Auth&   auth);
   public:
      bool quit;
   protected:
      Dialog*  dialog;
   };

};

#endif
