#include "MainWindow.h"
#include <QtGui/QApplication>
#include "DefaultStyle.h"
#include "Share.h"
#include <QtGui/QIcon>
#include "globals.h"

int main(int    argc, 
         char*  argv[])
{
   DefaultStyle  defaultStyle(argc, argv);
   QApplication  app(argc, argv);
   defaultStyle.set(app, "plastique");

   app.setWindowIcon(QIcon(Share::absolute("pixmaps/nuu.icon.png")));

   application = &app;
   command     = argv[0];

   MainWindow*  hw = new MainWindow(NULL);
   hw->show();

   return app.exec();
}
